Skip to main content
GET
/
timeline
Browse moments from timelines
curl --request GET \
  --url https://api.inprocess.world/api/timeline
{
  "status": "success",
  "moments": [
    {
      "address": "0x06a701Ae65582B92Af48cDff45a8B20DcA3714cA",
      "token_id": "1",
      "chain_id": 8453,
      "id": "bceddfb3-28f2-49f3-8669-73a813a06b90",
      "uri": "ar://1wMmKuaz-VdxmruOQJuYS-3nfU3zlNKmPNpc79Ou-qM",
      "creator": {
        "address": "0x4b4324bcC6dB9380ABBbbD20B24A16C11FB5B38A",
        "hidden": false
      },
      "admins": [
        {
          "address": "0x4b4324bcC6dB9380ABBbbD20B24A16C11FB5B38A",
          "hidden": false
        },
        {
          "address": "0xAF1452d289E22FbD0DEA9d5097353c72a90FAC33",
          "hidden": true
        }
      ],
      "created_at": "2025-06-07T20:41:35+00:00",
      "protocol": "in_process"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 1,
    "total_pages": 2
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.inprocess.world/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint is public and does not require authentication. You can browse timelines without providing any authorization headers.

Query Parameters

artist
string

Filter by admin address (only moments administered by this artist address). When provided, returns the artist timeline. When omitted, returns the in•process collective timeline.

collection
string

Filter by collection address. When provided, returns all moments of the specified collection.

limit
integer
default:100

Number of records per page (max: 100)

Required range: 1 <= x <= 100
page
integer
default:1

The page number to retrieve

Required range: x >= 1
chain_id
integer

Filter by chain ID. When omitted, returns moments from all production chains (Ethereum mainnet: 1, Base: 8453).

Example:

8453

hidden
boolean
default:false

If true, includes moments marked as hidden by the admin (default: false)

content_type
string

Filter by MIME type category (e.g. audio, video, image). Used to construct a MIME pattern filter.

Example:

"audio"

period
enum<string>

Filter moments by time period.

Available options:
day,
week,
month,
all
channel
enum<string>

Filter moments by the channel they were created through.

Available options:
telegram,
sms,
web,
api
type
enum<string>

Only applicable when artist is provided. Determines whether to show moments where the artist is the creator (default), moments co-administered with others (mutual), or both when not provided.

Available options:
mutual,
default
curated
boolean
default:false

If true, returns only curated moments (default: false).

Response

Successful response

status
enum<string>
required

Status of the request

Available options:
success,
error
moments
object[]
required

List of moments in the timeline

pagination
object
required

Pagination metadata for the response